Skip to main content
POST
/
v1
/
social
/
account
/
analyze
curl -X POST "https://api.hooked.ai/v1/social/account/analyze" \
  -H "x-api-key: your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "username": "fitnessguru",
    "platform": "tiktok"
  }'
{
  "success": true,
  "message": "Account analyzed successfully",
  "data": {
    "account": {
      "id": "clx123abc",
      "username": "fitnessguru",
      "platform": "tiktok",
      "displayName": "Fitness Guru",
      "bio": "Helping you get fit one video at a time",
      "avatarUrl": "https://cdn.tiktok.com/avatar.jpg",
      "isVerified": true,
      "stats": {
        "followers": 1500000,
        "following": 250,
        "videos": 342,
        "likes": 45000000
      },
      "analytics": {
        "engagementRate": 12.5,
        "viralityScore": 78.3,
        "avgViews": 890000
      },
      "topHashtags": ["fitness", "workout", "gym"],
      "keywords": ["fitness", "exercise", "motivation"],
      "lastAnalyzed": "2024-01-15T10:30:00Z",
      "createdAt": "2024-01-15T10:30:00Z",
      "profileUrl": "https://www.tiktok.com/@fitnessguru"
    }
  }
}

Overview

This endpoint analyzes a social media account by scraping their profile, videos, and generating analytics. The analysis includes engagement metrics, content keywords, popular hashtags, and more.

Request Body

username
string
required
The account username (without the @ symbol). Will be normalized automatically.
platform
string
required
The platform to analyze:
  • tiktok: Analyze a TikTok account
  • youtube: Analyze a YouTube account

Response

success
boolean
Indicates if the request was successful
message
string
Status message
data
object
curl -X POST "https://api.hooked.ai/v1/social/account/analyze" \
  -H "x-api-key: your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "username": "fitnessguru",
    "platform": "tiktok"
  }'
{
  "success": true,
  "message": "Account analyzed successfully",
  "data": {
    "account": {
      "id": "clx123abc",
      "username": "fitnessguru",
      "platform": "tiktok",
      "displayName": "Fitness Guru",
      "bio": "Helping you get fit one video at a time",
      "avatarUrl": "https://cdn.tiktok.com/avatar.jpg",
      "isVerified": true,
      "stats": {
        "followers": 1500000,
        "following": 250,
        "videos": 342,
        "likes": 45000000
      },
      "analytics": {
        "engagementRate": 12.5,
        "viralityScore": 78.3,
        "avgViews": 890000
      },
      "topHashtags": ["fitness", "workout", "gym"],
      "keywords": ["fitness", "exercise", "motivation"],
      "lastAnalyzed": "2024-01-15T10:30:00Z",
      "createdAt": "2024-01-15T10:30:00Z",
      "profileUrl": "https://www.tiktok.com/@fitnessguru"
    }
  }
}

Error Handling

If the account has already been analyzed, you’ll receive a 400 error. Use the Refresh Account endpoint to update existing accounts.
{
  "success": false,
  "message": "Account already analyzed. Use refresh endpoint to update."
}
If the username doesn’t exist on the platform:
{
  "success": false,
  "message": "Account not found: username"
}
Analysis may consume API credits depending on the depth of data scraped.

Authorizations

x-api-key
string
header
required

Body

application/json
username
string
required
platform
enum<string>
required
Available options:
tiktok,
youtube

Response

201

Account analyzed successfully